"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

function classNames() {
  for (var _len = arguments.length, classes = new Array(_len), _key = 0; _key < _len; _key++) {
    classes[_key] = arguments[_key];
  }

  return classes.filter(Boolean).join(" ");
}

function displayNavItems(navigation) {
  return navigation.map(function (item) {
    return /*#__PURE__*/_react.default.createElement("a", {
      key: item.name,
      href: item.href,
      className: classNames(item.current ? "bg-gray-100 text-gray-900" : "text-gray-600 hover:bg-gray-50 hover:text-gray-900", "group flex items-center px-2 py-2 text-sm font-medium rounded-md")
    }, /*#__PURE__*/_react.default.createElement(item.icon, {
      className: classNames(item.current ? "text-gray-800" : "text-gray-400 group-hover:text-gray-500", "mr-3 flex-shrink-0 h-6 w-6"),
      "aria-hidden": "true"
    }), item.name);
  });
}

var DesktopSideBar = function DesktopSideBar(_ref) {
  var logo = _ref.logo,
      navigation = _ref.navigation,
      miscellaneousNavigation = _ref.miscellaneousNavigation;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "hidden md:flex md:flex-shrink-0 "
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "flex flex-col w-64"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "flex flex-col flex-grow pb-4 bg-white overflow-y-auto"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "flex items-center flex-shrink-0 px-4 h-16 border-b border-gray-200"
  }, /*#__PURE__*/_react.default.createElement("img", {
    className: "h-8 w-auto",
    src: logo.url,
    alt: "Otto"
  })), /*#__PURE__*/_react.default.createElement("div", {
    className: "mt-5 space-y-4"
  }, /*#__PURE__*/_react.default.createElement("nav", {
    className: "flex-1 px-2 bg-white space-y-1"
  }, displayNavItems(navigation)), /*#__PURE__*/_react.default.createElement("div", {
    className: "border-b border-gray-200"
  }), /*#__PURE__*/_react.default.createElement("nav", {
    className: "flex-1 px-2 bg-white space-y-1"
  }, displayNavItems(miscellaneousNavigation))))));
};

var _default = DesktopSideBar;
exports.default = _default;