"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

function classNames() {
  for (var _len = arguments.length, classes = new Array(_len), _key = 0; _key < _len; _key++) {
    classes[_key] = arguments[_key];
  }

  return classes.filter(Boolean).join(" ");
}

function displayNavItems(navigation) {
  return navigation.map(function (item) {
    return /*#__PURE__*/_react.default.createElement("a", {
      key: item.name,
      href: item.href,
      className: classNames(item.current ? "bg-gray-100 text-gray-900" : "text-gray-600 hover:bg-gray-50 hover:text-gray-900", "group flex items-center px-2 py-2 text-base font-medium rounded-md")
    }, /*#__PURE__*/_react.default.createElement(item.icon, {
      className: classNames(item.current ? "text-gray-500" : "text-gray-400 group-hover:text-gray-500", "mr-4 flex-shrink-0 h-6 w-6"),
      "aria-hidden": "true"
    }), item.name);
  });
}

var MobileSideBar = function MobileSideBar(_ref) {
  var navigation = _ref.navigation,
      miscellaneousNavigation = _ref.miscellaneousNavigation;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "mt-5 flex-1 h-0 overflow-y-auto space-y-2"
  }, /*#__PURE__*/_react.default.createElement("nav", {
    className: "px-2 space-y-1"
  }, displayNavItems(navigation)), /*#__PURE__*/_react.default.createElement("div", {
    className: "border-b border-gray-200"
  }), /*#__PURE__*/_react.default.createElement("nav", {
    className: "px-2 space-y-1"
  }, displayNavItems(miscellaneousNavigation)));
};

var _default = MobileSideBar;
exports.default = _default;