"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/slicedToArray"));

var _react = require("react");

var _react2 = require("@headlessui/react");

var _outline = require("@heroicons/react/outline");

var _DesktopSideBar = _interopRequireDefault(require("./components/DesktopSideBar"));

var _MobileSideBar = _interopRequireDefault(require("./components/MobileSideBar"));

//Assets
//Components
function classNames() {
  for (var _len = arguments.length, classes = new Array(_len), _key = 0; _key < _len; _key++) {
    classes[_key] = arguments[_key];
  }

  return classes.filter(Boolean).join(" ");
}

var ApplicationHeader = function ApplicationHeader(_ref) {
  var logo = _ref.logo,
      logoMark = _ref.logoMark,
      user = _ref.user,
      navigation = _ref.navigation,
      miscellaneousNavigation = _ref.miscellaneousNavigation,
      userProfileNavigation = _ref.userProfileNavigation;

  var _useState = (0, _react.useState)(false),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      sidebarOpen = _useState2[0],
      setSidebarOpen = _useState2[1];

  return /*#__PURE__*/React.createElement("div", {
    className: "h-screen flex overflow-hidden bg-white"
  }, /*#__PURE__*/React.createElement(_react2.Transition.Root, {
    show: sidebarOpen,
    as: _react.Fragment
  }, /*#__PURE__*/React.createElement(_react2.Dialog, {
    as: "div",
    static: true,
    className: "fixed inset-0 flex z-40 md:hidden",
    open: sidebarOpen,
    onClose: setSidebarOpen
  }, /*#__PURE__*/React.createElement(_react2.Transition.Child, {
    as: _react.Fragment,
    enter: "transition-opacity ease-linear duration-300",
    enterFrom: "opacity-0",
    enterTo: "opacity-100",
    leave: "transition-opacity ease-linear duration-300",
    leaveFrom: "opacity-100",
    leaveTo: "opacity-0"
  }, /*#__PURE__*/React.createElement(_react2.Dialog.Overlay, {
    className: "fixed inset-0 bg-gray-600 bg-opacity-75"
  })), /*#__PURE__*/React.createElement(_react2.Transition.Child, {
    as: _react.Fragment,
    enter: "transition ease-in-out duration-300 transform",
    enterFrom: "-translate-x-full",
    enterTo: "translate-x-0",
    leave: "transition ease-in-out duration-300 transform",
    leaveFrom: "translate-x-0",
    leaveTo: "-translate-x-full"
  }, /*#__PURE__*/React.createElement("div", {
    className: "relative flex-1 flex flex-col max-w-xs w-full pb-4 bg-white"
  }, /*#__PURE__*/React.createElement(_react2.Transition.Child, {
    as: _react.Fragment,
    enter: "ease-in-out duration-300",
    enterFrom: "opacity-0",
    enterTo: "opacity-100",
    leave: "ease-in-out duration-300",
    leaveFrom: "opacity-100",
    leaveTo: "opacity-0"
  }, /*#__PURE__*/React.createElement("div", {
    className: "absolute top-0 right-0 -mr-12 pt-2"
  }, /*#__PURE__*/React.createElement("button", {
    className: "ml-1 flex items-center justify-center h-10 w-10 rounded-full focus:outline-none focus:ring-2 focus:ring-inset focus:ring-white",
    onClick: function onClick() {
      return setSidebarOpen(false);
    }
  }, /*#__PURE__*/React.createElement("span", {
    className: "sr-only"
  }, "Close sidebar"), /*#__PURE__*/React.createElement(_outline.XIcon, {
    className: "h-6 w-6 text-white",
    "aria-hidden": "true"
  })))), /*#__PURE__*/React.createElement("div", {
    className: "flex-shrink-0 flex items-center px-4"
  }, /*#__PURE__*/React.createElement("img", {
    className: "h-8 w-auto",
    src: logo.url,
    alt: "Otto"
  })), /*#__PURE__*/React.createElement(_MobileSideBar.default, {
    navigation: navigation,
    miscellaneousNavigation: miscellaneousNavigation
  }))), /*#__PURE__*/React.createElement("div", {
    className: "flex-shrink-0 w-14",
    "aria-hidden": "true"
  }))), /*#__PURE__*/React.createElement(_DesktopSideBar.default, {
    logo: logo,
    navigation: navigation,
    miscellaneousNavigation: miscellaneousNavigation
  }), /*#__PURE__*/React.createElement("div", {
    className: "flex flex-col w-0 flex-1 overflow-hidden"
  }, /*#__PURE__*/React.createElement("div", {
    className: "relative z-10 flex-shrink-0 flex h-16 bg-white border-b border-gray-200"
  }, /*#__PURE__*/React.createElement("div", {
    className: "hidden flex-shrink-0 sm:flex items-center md:hidden"
  }, /*#__PURE__*/React.createElement("img", {
    className: "h-8 w-auto",
    src: logo.url,
    alt: "Otto"
  })), /*#__PURE__*/React.createElement("div", {
    className: "flex-shrink-0 flex items-center sm:hidden"
  }, /*#__PURE__*/React.createElement("img", {
    className: "h-8 w-auto",
    src: logoMark.url,
    alt: "Otto"
  })), /*#__PURE__*/React.createElement("button", {
    className: "px-4 text-gray-500 focus:outline-none focus:ring-2 focus:ring-inset focus:ring-blue-500 md:hidden",
    onClick: function onClick() {
      return setSidebarOpen(true);
    }
  }, /*#__PURE__*/React.createElement("span", {
    className: "sr-only"
  }, "Open sidebar"), /*#__PURE__*/React.createElement(_outline.MenuAlt2Icon, {
    className: "h-6 w-6",
    "aria-hidden": "true"
  })), /*#__PURE__*/React.createElement("div", {
    className: "flex-1 px-4 flex justify-end"
  }, /*#__PURE__*/React.createElement("div", {
    className: "ml-4 flex items-center md:ml-6"
  }, /*#__PURE__*/React.createElement("button", {
    className: "bg-white p-1 rounded-full text-gray-400 hover:text-gray-500 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-blue-500"
  }, /*#__PURE__*/React.createElement("span", {
    className: "sr-only"
  }, "View notifications"), /*#__PURE__*/React.createElement(_outline.BellIcon, {
    className: "h-6 w-6",
    "aria-hidden": "true"
  })), /*#__PURE__*/React.createElement(_react2.Menu, {
    as: "div",
    className: "ml-3 relative"
  }, function (_ref2) {
    var open = _ref2.open;
    return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(_react2.Menu.Button, {
      className: "max-w-xs bg-white flex items-center text-sm rounded-full focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-blue-500"
    }, /*#__PURE__*/React.createElement("span", {
      className: "sr-only"
    }, "Open user menu"), /*#__PURE__*/React.createElement("img", {
      className: "h-8 w-8 rounded-full",
      src: user.imageUrl,
      alt: ""
    }))), /*#__PURE__*/React.createElement(_react2.Transition, {
      show: open,
      as: _react.Fragment,
      enter: "transition ease-out duration-100",
      enterFrom: "transform opacity-0 scale-95",
      enterTo: "transform opacity-100 scale-100",
      leave: "transition ease-in duration-75",
      leaveFrom: "transform opacity-100 scale-100",
      leaveTo: "transform opacity-0 scale-95"
    }, /*#__PURE__*/React.createElement(_react2.Menu.Items, {
      static: true,
      className: "origin-top-right absolute right-0 mt-2 w-48 rounded-md shadow-lg py-1 bg-white ring-1 ring-black ring-opacity-5 divide-y divide-gray-100 focus:outline-none"
    }, /*#__PURE__*/React.createElement("div", {
      className: "px-4 py-3"
    }, /*#__PURE__*/React.createElement("p", {
      className: "text-sm font-medium text-gray-900 truncate"
    }, user.name)), /*#__PURE__*/React.createElement("div", {
      className: "py-1"
    }, userProfileNavigation.map(function (item) {
      return /*#__PURE__*/React.createElement(_react2.Menu.Item, {
        key: item.name
      }, function (_ref3) {
        var active = _ref3.active;
        return /*#__PURE__*/React.createElement("a", {
          href: item.href,
          className: classNames(active ? "bg-gray-100" : "", "block px-4 py-2 text-sm text-gray-700")
        }, item.name);
      });
    })))));
  })))), /*#__PURE__*/React.createElement("main", {
    className: "flex-1 relative overflow-y-auto focus:outline-none border-l border-gray-200"
  }, /*#__PURE__*/React.createElement("div", {
    className: "py-6"
  }, /*#__PURE__*/React.createElement("div", {
    className: "max-w-7xl mx-auto px-4 sm:px-6 md:px-8"
  }, /*#__PURE__*/React.createElement("h1", {
    className: "text-2xl font-semibold text-gray-900"
  }, "Main Content Goes Here")), /*#__PURE__*/React.createElement("div", {
    className: "max-w-7xl mx-auto px-4 sm:px-6 md:px-8"
  }, /*#__PURE__*/React.createElement("div", {
    className: "py-4"
  }, /*#__PURE__*/React.createElement("div", {
    className: "border-4 border-dashed border-gray-200 rounded-lg h-96"
  })))))));
};

var _default = ApplicationHeader;
exports.default = _default;