"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = require("@headlessui/react");

var _outline = require("@heroicons/react/outline");

var _solid = require("@heroicons/react/solid");

/* This example requires Tailwind CSS v2.0+ */
var MarketingHeader = function MarketingHeader(_ref) {
  var logo = _ref.logo,
      logoMark = _ref.logoMark;
  return /*#__PURE__*/React.createElement(_react.Disclosure, {
    as: "nav",
    className: "bg-white"
  }, function (_ref2) {
    var open = _ref2.open;
    return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", {
      className: "max-w-7xl mx-auto "
    }, /*#__PURE__*/React.createElement("div", {
      className: "flex justify-between h-16"
    }, /*#__PURE__*/React.createElement("div", {
      className: "flex"
    }, /*#__PURE__*/React.createElement("div", {
      className: "flex-shrink-0 flex items-center"
    }, /*#__PURE__*/React.createElement("img", {
      className: "block lg:hidden h-8 w-auto",
      src: logoMark.url,
      alt: "Workflow"
    }), /*#__PURE__*/React.createElement("img", {
      className: "hidden lg:block h-8 w-auto",
      src: logo.url,
      alt: "Workflow"
    }))), /*#__PURE__*/React.createElement("div", {
      className: "space-x-4 hidden md:block"
    }, /*#__PURE__*/React.createElement("button", {
      type: "button",
      className: "relative inline-flex items-center px-4 py-2 border border-transparent text-sm font-medium rounded-md text-white bg-blue-600 shadow-sm hover:bg-blue-700 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500"
    }, /*#__PURE__*/React.createElement(_solid.SparklesIcon, {
      className: "-ml-1 mr-2 h-5 w-5",
      "aria-hidden": "true"
    }), /*#__PURE__*/React.createElement("span", null, "Become A Partner")), /*#__PURE__*/React.createElement("button", {
      type: "button",
      className: "relative inline-flex items-center px-4 py-2 border border-transparent text-sm font-medium rounded-md text-gray-700 bg-white hover:bg-gray-50 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500"
    }, /*#__PURE__*/React.createElement(_outline.LoginIcon, {
      className: "-ml-1 mr-2 h-5 w-5",
      "aria-hidden": "true"
    }), /*#__PURE__*/React.createElement("span", null, "Login/Register"))), /*#__PURE__*/React.createElement("div", {
      className: "-mr-2 flex items-center sm:hidden"
    }, /*#__PURE__*/React.createElement(_react.Disclosure.Button, {
      className: "inline-flex items-center justify-center p-2 rounded-md text-gray-400 hover:text-gray-500 hover:bg-gray-100 focus:outline-none focus:ring-2 focus:ring-inset focus:ring-indigo-500"
    }, /*#__PURE__*/React.createElement("span", {
      className: "sr-only"
    }, "Open main menu"), open ? /*#__PURE__*/React.createElement(_outline.XIcon, {
      className: "block h-6 w-6",
      "aria-hidden": "true"
    }) : /*#__PURE__*/React.createElement(_outline.MenuIcon, {
      className: "block h-6 w-6",
      "aria-hidden": "true"
    }))))), /*#__PURE__*/React.createElement(_react.Disclosure.Panel, {
      className: "sm:hidden"
    }, /*#__PURE__*/React.createElement("div", {
      className: "pt-2 pb-3 space-y-1 shadow rounded-md"
    }, /*#__PURE__*/React.createElement("a", {
      href: "#",
      className: "bg-indigo-50 border-blue-500 text-blue-700 block pl-3 pr-4 py-2 border-l-4 text-base font-medium"
    }, "Become A Partner"), /*#__PURE__*/React.createElement("a", {
      href: "#",
      className: "border-transparent text-gray-500 hover:bg-gray-50 hover:border-gray-300 hover:text-gray-700 block pl-3 pr-4 py-2 border-l-4 text-base font-medium"
    }, "Login/Register"))));
  });
};

var _default = MarketingHeader;
exports.default = _default;