"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PartnerLoggedIn = exports.UserLoggedIn = exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _index = require("../../index");

var _outline = require("@heroicons/react/outline");

var _logo = _interopRequireDefault(require("../assets/logo.svg"));

var _logo_mark = _interopRequireDefault(require("../assets/logo_mark.svg"));

var _default = {
  title: 'Otto/Application Header',
  component: _index.ApplicationHeader
};
exports.default = _default;
var logo = {
  url: _logo.default
};
var logoMark = {
  url: _logo_mark.default
};

var Template = function Template(args) {
  return /*#__PURE__*/_react.default.createElement(_index.ApplicationHeader, args);
};

var user = {
  name: 'Tom Cook',
  email: 'tom@example.com',
  imageUrl: 'https://images.unsplash.com/photo-1472099645785-5658abf4ff4e?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=facearea&facepad=2&w=256&h=256&q=80'
}; // Customer Navigation

var navigation = [{
  name: 'Book Now',
  href: '#',
  icon: _outline.LocationMarkerIcon,
  current: false
}, {
  name: 'My Trips',
  href: '#',
  icon: _outline.TruckIcon,
  current: true
}];
var miscellaneousNavigation = [{
  name: 'Support',
  href: '#',
  icon: _outline.SupportIcon,
  current: false
}]; // Partner Navigation

var navigationPartner = [{
  name: 'My Bookings',
  href: '#',
  icon: _outline.CalendarIcon,
  current: false
}, {
  name: 'My Fleet',
  href: '#',
  icon: _outline.TruckIcon,
  current: true
}, {
  name: 'Manage',
  href: '#',
  icon: _outline.OfficeBuildingIcon,
  current: false
}];
var miscellaneousPartner = [{
  name: 'Get Insurance',
  href: '#',
  icon: _outline.CollectionIcon,
  current: false
}, {
  name: 'Support',
  href: '#',
  icon: _outline.SupportIcon,
  current: false
}]; //Common User Navigation

var userProfileNavigation = [{
  name: 'Your Profile',
  href: '#'
}, {
  name: 'Sign out',
  href: '#'
}];
var UserLoggedIn = Template.bind({});
exports.UserLoggedIn = UserLoggedIn;
UserLoggedIn.args = {
  logo: logo,
  logoMark: logoMark,
  user: user,
  navigation: navigation,
  miscellaneousNavigation: miscellaneousNavigation,
  userProfileNavigation: userProfileNavigation
};
var PartnerLoggedIn = Template.bind({});
exports.PartnerLoggedIn = PartnerLoggedIn;
PartnerLoggedIn.args = {
  logo: logo,
  logoMark: logoMark,
  user: user,
  navigation: navigationPartner,
  miscellaneousNavigation: miscellaneousPartner,
  userProfileNavigation: userProfileNavigation
};